/*
Copyright (c) Members of the EGEE Collaboration. 2004.
See http://www.eu-egee.org/partners/ for details on the
copyright holders.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// File: glue_attributes.h
// Author: Salvatore Monforte <Salvatore.Monforte@ct.infn.it>
// Copyright (c) 2002 EU DataGrid.

// $Id: glue_attributes.h,v 1.1.1.1.34.1 2010/04/07 12:55:33 mcecchi Exp $

#ifndef _GLUE_SCHEMA_STRINGS_
#define _GLUE_SCHEMA_STRINGS_

#define GS_GLUECE_UNIQUEID                     "GlueCEUniqueID"
#define GS_GLUESE_UNIQUEID                     "GlueSEUniqueID"
#define GS_GLUECE_ACCESSCONTROL_BASERULE       "GlueCEAccessControlBaseRule"
#define GS_GLUESE_ACCESSCONTROL_BASERULE       "GlueSEAccessControlBaseRule"
#define GS_GLUESE_ACCESSPROTOCOL               "GlueSEAccessProtocol"
#define GS_GLUESE_ACCESSPROTOCOL_TYPE          "GlueSEAccessProtocolType"
#define GS_GLUESE_ACCESSPROTOCOL_PORT          "GlueSEAccessProtocolPort"
#define GS_GLUECE_STATE_ESTIMATEDRESPONSETIME  "GlueCEStateEstimatedResponseTime"
#define GS_GLUECE_INFO_LRMS_TYPE               "GlueCEInfoLRMSType"
#define GS_GLUECE_NAME                         "GlueCEName"
#define GS_GLUECE_HOSTINGCLUSTER               "GlueCEInfoHostName"
#define GS_GLUECE_INFO_GATEKEEPER_PORT         "GlueCEInfoGatekeeperPort"
#define GS_GLUECE_SEBIND_GROUP_SEUNIQUEID      "GlueCESEBindGroupSEUniqueID"
#define GS_GLUECE_SEBIND_ACCESSPOINT           "GlueCESEBindCEAccessPoint"
#define GS_GLUECE_SEBIND_SEUNIQUEID            "GlueCESEBindSEUniqueID"

#endif
